/*
 * Copyright 2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define IOPCTL_PIO_ANAMUX_DI 0x00u        /*!<@brief Analog mux is disabled */
#define IOPCTL_PIO_FULLDRIVE_DI 0x00u     /*!<@brief Normal drive */
#define IOPCTL_PIO_FUNC0 0x00u            /*!<@brief Selects pin function 0 */
#define IOPCTL_PIO_FUNC1 0x01u            /*!<@brief Selects pin function 1 */
#define IOPCTL_PIO_INBUF_DI 0x00u         /*!<@brief Disable input buffer function */
#define IOPCTL_PIO_INBUF_EN 0x40u         /*!<@brief Enables input buffer function */
#define IOPCTL_PIO_INV_DI 0x00u           /*!<@brief Input function is not inverted */
#define IOPCTL_PIO_PSEDRAIN_DI 0x00u      /*!<@brief Pseudo Output Drain is disabled */
#define IOPCTL_PIO_PSEDRAIN_EN 0x0400u    /*!<@brief Pseudo Output Drain is enabled */
#define IOPCTL_PIO_PULLDOWN_EN 0x00u      /*!<@brief Enable pull-down function */
#define IOPCTL_PIO_PULLUP_EN 0x20u        /*!<@brief Enable pull-up function */
#define IOPCTL_PIO_PUPD_DI 0x00u          /*!<@brief Disable pull-up / pull-down function */
#define IOPCTL_PIO_PUPD_EN 0x10u          /*!<@brief Enable pull-up / pull-down function */
#define IOPCTL_PIO_SLEW_RATE_NORMAL 0x00u /*!<@brief Normal mode */

/*! @name FC0_TXD_SCL_MISO_WS (coord G2), J16[1]/U27[3]/U9[12]
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITPINS_DEBUG_UART_TXD_PERIPHERAL FLEXCOMM0
/*!
 * @brief Signal name */
#define BOARD_INITPINS_DEBUG_UART_TXD_SIGNAL TXD_SCL_MISO_WS
/* @} */

/*! @name FC0_RXD_SDA_MOSI_DATA (coord G4), JP40[2]
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITPINS_DEBUG_UART_RXD_PERIPHERAL FLEXCOMM0
/*!
 * @brief Signal name */
#define BOARD_INITPINS_DEBUG_UART_RXD_SIGNAL RXD_SDA_MOSI_DATA
/* @} */

/*! @name SD0_CARD_DET_N (coord R13), J32[10]/SD_CD
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_CD_PERIPHERAL USDHC0       /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_CD_SIGNAL USDHC_CD_B       /*!<@brief Signal name */
                                                     /* @} */

/*! @name SD0_CLK (coord P10), J32[5]/SD_CLK
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_CLK_PERIPHERAL USDHC0     /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_CLK_SIGNAL USDHC_CLK      /*!<@brief Signal name */
                                                    /* @} */

/*! @name SD0_CMD (coord R9), J32[2]/SD_CMD
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_CMD_PERIPHERAL USDHC0     /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_CMD_SIGNAL USDHC_CMD      /*!<@brief Signal name */
                                                    /* @} */

/*! @name SD0_D0 (coord R11), J32[7]/SD_DAT0
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_DAT0_PERIPHERAL USDHC0      /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_DAT0_SIGNAL USDHC_DATA      /*!<@brief Signal name */
#define BOARD_INITPINS_SD_DAT0_CHANNEL 0              /*!<@brief Signal channel */
                                                      /* @} */

/*! @name SD0_D1 (coord T11), J32[8]/SD_DAT1
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_DAT1_PERIPHERAL USDHC0      /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_DAT1_SIGNAL USDHC_DATA      /*!<@brief Signal name */
#define BOARD_INITPINS_SD_DAT1_CHANNEL 1              /*!<@brief Signal channel */
                                                      /* @} */

/*! @name SD0_D2 (coord U11), J32[9]/SD_DAT2
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_DAT2_PERIPHERAL USDHC0      /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_DAT2_SIGNAL USDHC_DATA      /*!<@brief Signal name */
#define BOARD_INITPINS_SD_DAT2_CHANNEL 2              /*!<@brief Signal channel */
                                                      /* @} */

/*! @name SD0_D3 (coord T12), J32[1]/SD_DAT3
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_DAT3_PERIPHERAL USDHC0      /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_DAT3_SIGNAL USDHC_DATA      /*!<@brief Signal name */
#define BOARD_INITPINS_SD_DAT3_CHANNEL 3              /*!<@brief Signal channel */
                                                      /* @} */

/*! @name PIO2_10 (coord T15), U23[3]/SD_RST_N
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_RST_N_PERIPHERAL GPIO           /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_RST_N_SIGNAL PIO2               /*!<@brief Signal name */
#define BOARD_INITPINS_SD_RST_N_CHANNEL 10                /*!<@brief Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_SD_RST_N_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_SD_RST_N_GPIO_PIN_MASK (1U << 10U) /*!<@brief GPIO pin mask */
#define BOARD_INITPINS_SD_RST_N_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_SD_RST_N_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_SD_RST_N_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                          /* @} */

/*! @name PIO2_4 (coord T13), J32[11]/SD_WR_PRT
  @{ */
/* Routed pin properties */
#define BOARD_INITPINS_SD_WR_PRT_PERIPHERAL GPIO           /*!<@brief Peripheral name */
#define BOARD_INITPINS_SD_WR_PRT_SIGNAL PIO2               /*!<@brief Signal name */
#define BOARD_INITPINS_SD_WR_PRT_CHANNEL 4                 /*!<@brief Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_SD_WR_PRT_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_SD_WR_PRT_GPIO_PIN_MASK (1U << 4U)  /*!<@brief GPIO pin mask */
#define BOARD_INITPINS_SD_WR_PRT_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_SD_WR_PRT_PIN 4U                    /*!<@brief PORT pin number */
#define BOARD_INITPINS_SD_WR_PRT_PIN_MASK (1U << 4U)       /*!<@brief PORT pin mask */
                                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M33 */

#define IOPCTL_PIO_ANAMUX_DI 0x00u        /*!<@brief Analog mux is disabled */
#define IOPCTL_PIO_FULLDRIVE_DI 0x00u     /*!<@brief Normal drive */
#define IOPCTL_PIO_FUNC0 0x00u            /*!<@brief Selects pin function 0 */
#define IOPCTL_PIO_INBUF_DI 0x00u         /*!<@brief Disable input buffer function */
#define IOPCTL_PIO_INV_DI 0x00u           /*!<@brief Input function is not inverted */
#define IOPCTL_PIO_PSEDRAIN_DI 0x00u      /*!<@brief Pseudo Output Drain is disabled */
#define IOPCTL_PIO_PULLDOWN_EN 0x00u      /*!<@brief Enable pull-down function */
#define IOPCTL_PIO_PUPD_DI 0x00u          /*!<@brief Disable pull-up / pull-down function */
#define IOPCTL_PIO_SLEW_RATE_NORMAL 0x00u /*!<@brief Normal mode */

/*! @name PIO2_10 (coord T15), U23[3]/SD_RST_N
  @{ */
/* Routed pin properties */
#define BOARD_INITPINSM2_SD_RST_N_PERIPHERAL GPIO                    /*!<@brief Peripheral name */
#define BOARD_INITPINSM2_SD_RST_N_SIGNAL PIO2                        /*!<@brief Signal name */
#define BOARD_INITPINSM2_SD_RST_N_CHANNEL 10                         /*!<@brief Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINSM2_SD_RST_N_GPIO GPIO                          /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINSM2_SD_RST_N_GPIO_PIN_MASK (1U << 10U)          /*!<@brief GPIO pin mask */
#define BOARD_INITPINSM2_SD_RST_N_PORT 2U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINSM2_SD_RST_N_PIN 10U                            /*!<@brief PORT pin number */
#define BOARD_INITPINSM2_SD_RST_N_PIN_MASK (1U << 10U)               /*!<@brief PORT pin mask */
                                                                     /* @} */

/*! @name PIO0_12 (coord E3), Q15[1]/WL_REG_ON
  @{ */
/* Routed pin properties */
#define BOARD_INITPINSM2_WL_REG_ON_PERIPHERAL GPIO                    /*!<@brief Peripheral name */
#define BOARD_INITPINSM2_WL_REG_ON_SIGNAL PIO0                        /*!<@brief Signal name */
#define BOARD_INITPINSM2_WL_REG_ON_CHANNEL 12                         /*!<@brief Signal channel */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINSM2_WL_REG_ON_GPIO GPIO                          /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINSM2_WL_REG_ON_GPIO_PIN_MASK (1U << 12U)          /*!<@brief GPIO pin mask */
#define BOARD_INITPINSM2_WL_REG_ON_PORT 0U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINSM2_WL_REG_ON_PIN 12U                            /*!<@brief PORT pin number */
#define BOARD_INITPINSM2_WL_REG_ON_PIN_MASK (1U << 12U)               /*!<@brief PORT pin mask */
                                                                      /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPinsM2(void); /* Function assigned for the Cortex-M33 */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
